export function fromBase64(base64) { 
  return Uint8Array.from(window.atob(base64), c => c.charCodeAt(0))
}

export function toBase64(arr) {
  return window.btoa(String.fromCharCode(...arr))
}

export function validateBase64(base64) {
  const base64Regex = /^([0-9a-zA-Z+/]{4})*(([0-9a-zA-Z+/]{2}==)|([0-9a-zA-Z+/]{3}=))?$/
  return base64Regex.test(base64)
}
